<?php
  # on inclus le fichier contenant la classe de PAB
  require 'pab.php';
  require 'includes/class.Install.php';
  # On créé une instance de la classe Install
  $my_install = new Install();
  # si gnerate a été demandé alors on génrère l'install, enfin seulement si elle n'a pas encore été faite...
  if(!$my_install->isCompleted() && isset($_POST['generate'])){
    $my_install->startInstallation();
  }
?>
<html>
<head>
<title>PAB [PHPAntiBot] :: par Natsimhan</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  *{
    padding:0;
    margin:0;
  }
  body{
    padding:0;
    margin:0;
    text-align:center;
    font:bold 12px verdana;
  }
  ol,li{
    list-style-type:decimal;
    list-style-position:outside;
  }
  li{
    margin:10px 0 10px 20px;
    padding-left:0px;
  }
  blockquote{
    margin:4px 0 4px 20px;
    padding:2px;
    background-color:#ddd;
    color:#333;
    font:normal 12px "Courier New";
    border:2px solid #0000a9;
  }
  h1 {
    font-size:26px;
    width:100%;
    border-bottom:2px solid #fff;
    margin:10px 0 20px 0;
  }
  h2.true, h2.false {
    font-size:30px;
    width:100%;
    border:0;
    margin:20px 0 20px 0;
    color:#12bc00;
  }
  h2.false {
    color:#bc0000;
  }
  hr.invisible {
  	display: block;
  	clear: both;
  	visibility: hidden;
  	height: 1px;
  	width:100%;
  	margin: 0;
  	padding: 0;
  	color: #F00;
  	background-color:inherit;
  	border:0;
  }
  #page{
    display:block;
    width:660px;
    margin:0 auto;
    padding:5px 0 0 0;
    text-align: left;
    background-color: #fff;
    color: inherit;
    border:0;
  }
	div.bloc_left{
		float:left;
		width:325px;
		margin:5px 5px 0 0;
    padding:0;
    background: #fff;
    text-align:left;
    font-weight:normal;
    border:0;
	}
  div.bloc_left p{
    padding-top:20px;
    font:normal 10px arial;
    color:#888;
  }
	div.bloc_right{
		float:left;
		width:311px;
		height:220px;
		margin:5px 0 0 5px;
    padding:5px;
    background: #5050ff url(images/PAB_fond.png) repeat scroll top left;
    border:2px solid #0000a9;
    color:#fff;
  }
  div.bloc_right p{
    padding:10px 0 10px 0;
  }
  div.bloc_right p.erreur{
    display:block;
    background:#fff;
    border:2px solid #f00;
    padding:5px;
    color:#f00;
  }
  div.bloc_bottom{
		float:left;
		width:646px;
		margin:10px 0 20px 0;
    padding:5px;
		background: #5050ff url(images/PAB_fond.png) repeat scroll top left;
		border:2px solid #0000a9;
		color:#fff;
	}
	div.bloc_bottom a{
    color:#fff;
    text-decoration:underline;
  }
	div.bloc_bottom a:hover{
    color:#ff0;
    text-decoration:none;
  }
</style>

<!--[if IE]>
  <style type="text/css">
    div.bloc_left{
		  width:325px;
    }
    div.bloc_right{
		  width:325px;
		  height:240px;
    }
    div.bloc_bottom{
		  width:660px;
    }
  </style>
<![endif]-->
</head>
<body>
<div id="page">
  <div class="bloc_left">
    <img src="images/PAB_Logo.png" alt="logo de PAB : PAB écrit en blanc en capital avec un contour noir." />
    <p>
    PAB v<?php echo PAB::VERSION; ?> - Copyright (C) 2006-2007 Natsimhan<br />
    Cette application n'est accompagné d'ABSOLUMENT AUCUNE GARANTIE.
    Ceci est un logiciel libre et vous êtes invité à le redistribuer en respectant certaines obligations.
    Pour plus de détails regardez le fichier <a href="LICENCE.txt">LICENCE.txt</a>
    </p>
  </div>
  <div class="bloc_right">
    <h1>Test de l'anti-bot</h1><?php
      # Si l'install n'a pas encore été faite on la démarre sinon on va au répertoire précédent
      if($my_install->isCompleted()){
        if(isset($_POST['formulaire'])){
          if(PAB::getInstance()->testKeys()){
            ?><h2 class="true">Le code saisi est BON !!!</h1><?php
          }else{
            ?><h2 class="false">Le code saisi est FAUX...</h1><?php
          }
            ?>
            <form method="post" action="index.php">
              <input type="submit" value="Faire un nouveau test..." />
            </form><?php
        }else{
          ?>
          <form method="post" action="index.php">
            <input type="hidden" name="formulaire" />
            <? echo PAB::getInstance()->getImgFormHtml(); ?>
            <p>Saisissez les huit caractères alphanumériques contenus dans l'image&nbsp;:</p>
            <input name="PrivateKey" />
            <input type="submit" value="Vérification" />
          </form><?php
        }
      }else{
        ?><p class="erreur">Le fichier contenant les couples de clés public/privé n'a pas encore été généré.</p>
          <p>Cliquez sur le bouton ci-dessous pour générer le fichier.</p>
          <form method="post" action="index.php">
            <input type="hidden" name="generate" />
            <input type="submit" value="    Génération du fichier    " />
          </form><?php
      }?>
  </div>
  <div class="bloc_bottom">
    <h1>Installation</h1>
    <ol>
      <li>Télécharger PAB si ce n'est pas encore fait : <a href="http://www.natsimhan.com/PAB/">pab_0.1_php5.zip</a></li>
      <li>Copiez le dossier <i>pab/</i> à la racine de votre site via ftp.</li>
      <li>Via votre navigateur allez sur votre site dans le répertoire <i>pab/</i>.</li>
      <li>Si vous ne voyez pas d'image dans le test ci-dessus vous devez cliquer sur le bouton "Génération du fichier" afin de personnaliser de façon aléatoire vos clés privées et publiques.</li>
      <li>Recopiez le code suivant dans la page du formulaire où doit apparaître l'image&nbsp;:</li>
      <blockquote>
        <?php
        highlight_string("<?php\n".
        "  require 'pab/pab.php';\n".
        "  echo PAB::getInstance()->getImgFormHtml();\n".
        "?".">");
        ?>
      </blockquote>
      <li>Pour finir il suffit d'inclure le code suivant dans le fichier pointé par le formulaire, à l'endroit où vous voulez vérifier si le code saisi est bon&nbsp;:</li>
      <blockquote>
        <?php
        highlight_string("<?php\n".
        "  require 'pab/pab.php';\n".
        "  if(PAB::getInstance()->testKeys()){\n".
        "    # le code saisi est bon\n".
        "  }else{\n".
        "    # le code saisi est faux\n".
        "  }\n".
        "?".">");
        ?>
      </blockquote>
      <li>PAB est prêt à fonctionner, vous pouvez désormais tester le bon fonctionnement de votre formulaire.</li>
    </ol>
  </div>
  <hr class="invisible" />
</div>
</body>
</html> 
